For the complete documentation index, see llms.txt. This page is also available as Markdown.

KYC Submit Detail

KYC verification

Allows users to submit a Know Your Customer (KYC) detail(s).

Note:

  • If fiatType is set to 1 (INR), the panNumber becomes mandatory. The JSON details must include the firstName key to specify the user's first name.

  • Supported Currencies: To view the list of all the fiat currencies supported by Onramp(all countries not supported for this KYC flow), click here.

  • Date of Birth (DOB) sent as YYYY-MM-DD format.

  • If a country is included in the address key of KYC requirement json, provide the Alpha-2 code for that particular country in address key.

  • type is the identity type of document. Refer KYC requirements for more details.

Know Your Customer (KYC) submission.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/kyc/submitData

Request Body

Name
Type
Description

customerId*

String

Unique id received from Create User (Get KYC URL)

fiatType*

Integer

Fiat Id associated with the particular country. Refer fiatType Mapping

identityNumber*

String

unique ID issued by the relevant authorities in the user's country

details*

JSON

json containing keys like firstName.

incomeTaxNumber

String

unique alphanumeric identifier issued by the Income Tax Department of the country

address

JSON

json containing keys like addressLine1

type*

Integer

type based on ID type(refer KYC Requirements)

  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • data -> 1 , means successful

Last updated